
        function handleUrlParameters() {
  const urlParams = new URLSearchParams(window.location.search);
  let step = parseInt(urlParams.get('step'));

  if (isNaN(step)) {
    step = 0;
  }

  const setupWizard = document.getElementById('setup-wizard');
  const stepDivs = setupWizard.querySelectorAll('[id^="step-"]');
  const maxStep = stepDivs.length - 1;

  if (step < 0 || step > maxStep) {
    step = 0;
  }

  // Hide all steps
  stepDivs.forEach(div => {
    div.style.display = 'none';
  });

  // Show the current step
  const currentStepDiv = document.getElementById(`step-${step}`);
  if (currentStepDiv) {
    currentStepDiv.style.display = 'block';
  } else {
    //if a step div does not exist, go to 0
    step = 0;
    document.getElementById('step-0').style.display = 'block';
  }

  // Update URL if it's not the default (step 0)
  if (step !== 0) {
    const newUrl = new URL(window.location.href);
    newUrl.searchParams.set('step', step);
    window.history.replaceState({}, '', newUrl);
  } else {
    // If step is 0, ensure URL doesn't have 'step' parameter
    const newUrl = new URL(window.location.href);
    newUrl.searchParams.delete('step');
    window.history.replaceState({}, '', newUrl);
  }
}

// Call the function when the page loads
window.addEventListener('load', handleUrlParameters);


    function showOverlayAndValidate(event) {
  event.preventDefault(); // Prevent default form submission

  const form = event.target; // Get the form element

  // Validation logic (replace with your actual validation)
  let isValid = true;
  const fields = form.querySelectorAll('input, select, textarea'); // Select all form fields

  fields.forEach(field => {
    if (!field.checkValidity()) { // Use built-in browser validation, or add your own.
      isValid = false;
      field.classList.add('invalid'); // Add an 'invalid' class for styling
      field.reportValidity(); // Show browser's default error message
    } else {
      field.classList.remove('invalid'); // Remove 'invalid' class if valid
    }
  });

  if (isValid) {
    const overlay = document.querySelector('.overlay-load');
    if (overlay) {
      overlay.style.display = 'block';
    }
    form.submit(); // Submit the form if validation passes
  } else {
    // Optionally, display a general error message to the user
    console.log('Form validation failed.'); //or display on the page.
  }
}

// Add event listener to the form's submit event
const form = document.querySelector('form'); // Select your form
if (form) {
  form.addEventListener('submit', showOverlayAndValidate);
}


function handleUrlParameters() {
    const urlParams = new URLSearchParams(window.location.search);
    let step = parseInt(urlParams.get('step'));

    if (isNaN(step)) {
        step = 0;
    }

    const setupWizard = document.getElementById('setup-wizard');
    const stepDivs = setupWizard.querySelectorAll('[id^="step-"]');
    const maxStep = stepDivs.length - 1;

    if (step < 0 || step > maxStep) {
        step = 0;
    }

    // Hide all steps
    stepDivs.forEach(div => {
        div.style.display = 'none';
    });

    // Show the current step
    const currentStepDiv = document.getElementById(`step-${step}`);
    if (currentStepDiv) {
        currentStepDiv.style.display = 'block';
    } else {
        //if a step div does not exist, go to 0
        step = 0;
        document.getElementById('step-0').style.display = 'block';
    }

    // Update URL if it's not the default (step 0)
    if (step !== 0) {
        const newUrl = new URL(window.location.href);
        newUrl.searchParams.set('step', step);
        window.history.replaceState({}, '', newUrl);
    } else {
        // If step is 0, ensure URL doesn't have 'step' parameter
        const newUrl = new URL(window.location.href);
        newUrl.searchParams.delete('step');
        window.history.replaceState({}, '', newUrl);
    }
}

window.addEventListener('load', handleUrlParameters);

document.getElementById('wizard-database').addEventListener('submit', function(event) {
    event.preventDefault(); // Prevent default form submission

    const formData = new FormData(this);

    fetch('connection.php', {
        method: 'POST',
        body: formData
    })
    .then(response => response.json())
    .then(data => {
        if (data.error) {
            document.getElementById('wizard-error').textContent = data.error;
            document.getElementById('step-1').style.display = 'block'; // Ensure step 1 is visible
        } else if (data.success) {
            // Redirect to step 3
            const newUrl = new URL(window.location.href);
            newUrl.searchParams.set('step', 3);
            window.location.href = newUrl;
        } else {
            document.getElementById('wizard-error').textContent = 'An unknown error occurred.';
        }
    })
    .catch(error => {
        document.getElementById('wizard-error').textContent = 'Network error: ' + error;
    });
});


    function handleWizardError() {
  const urlParams = new URLSearchParams(window.location.search);
  const errorParam = urlParams.get('error');
  const wizardErrorElement = document.getElementById('wizard-error');

  if (errorParam) {
    wizardErrorElement.style.display = 'block';

    switch (errorParam) {
      case '1':
        wizardErrorElement.textContent = 'Database connection failed. Check to see if the credentials you have entered are valid.';
        break;
      case '2':
        wizardErrorElement.textContent = 'The password is not strong enough.';
        break;
      // Add more cases for other error codes if needed
      default:
        wizardErrorElement.textContent = 'An unknown error occurred.'; // Default error message
        break;
    }
  } else {
    wizardErrorElement.style.display = 'none'; // Ensure it's hidden if no error parameter
  }
}

// Call the function when the page loads
window.addEventListener('load', handleWizardError);


document.addEventListener("DOMContentLoaded", function() {
    let categoryCount = 1; // Start with category 1

    // Function to create a new input field
    function addCategoryInput() {
        categoryCount++; // Increment the category number
        
        const form = document.getElementById("wizard-categories");

        // Create a new input element
        const newInput = document.createElement("input");
        newInput.classList.add("table-input");
        newInput.type = "text";
        newInput.autocomplete = "off";
        newInput.name = `category${categoryCount}`;
        newInput.placeholder = `Category ${categoryCount}`;
        
        // Make the input not required after the first one
        if (categoryCount > 1) {
            newInput.required = false;
        }

        // Append the new input to the form before the submit button
        form.insertBefore(newInput, form.querySelector("input[type='submit']"));

        // Add event listener to the newly created input field
        const handleInput = function() {
            // Only add a new input field if the current one has content
            if (newInput.value.trim() !== "") {
                addCategoryInput(); // Add the next category field
                newInput.removeEventListener("input", handleInput); // Disable event listener after use
            }
        };
        
        newInput.addEventListener("input", handleInput);
    }

    // Add event listener to the first input field (Category 1)
    const firstInput = document.querySelector("input[name='category1']");
    
    // Check if the first input exists before adding the event listener
    if (firstInput) {
        firstInput.addEventListener("input", function() {
            // Only create the next category input if category1 is filled
            if (firstInput.value.trim() !== "") {
                addCategoryInput(); // Add category 2
                firstInput.removeEventListener("input", arguments.callee); // Disable event listener after use
            }
        });
    } else {
        console.error("Input field with name 'category1' not found!");
    }
});




document.addEventListener("DOMContentLoaded", function() {
    let payeeCount = 1; // Start with payee 1

    // Function to create a new row
    function addPayeeRow() {
        payeeCount++; // Increment the payee number
        
        const table = document.querySelector("table tbody");

        // Create a new row
        const newRow = document.createElement("tr");

        // Create new cells with input fields, applying appropriate classes
        const newRowContent = `
            <td><input class="table-input" type="text" autocomplete="off" name="payee${payeeCount}_name"></td>
            <td><input class="table-input number-input" type="text" autocomplete="off" name="payee${payeeCount}_acctnumber"></td>
            <td><input class="table-input money-input" type="text" autocomplete="off" name="payee${payeeCount}_defamt"></td>
            <td><input class="table-input number-input" type="text" autocomplete="off" name="payee${payeeCount}_defmemo"></td>
        `;
        newRow.innerHTML = newRowContent;

        // Append the new row to the table body
        table.appendChild(newRow);

        // Add event listeners to the new row's input fields
        const nameInput = newRow.querySelector('input[name="payee' + payeeCount + '_name"]');
        const acctNumberInput = newRow.querySelector('input[name="payee' + payeeCount + '_acctnumber"]');
        const defAmtInput = newRow.querySelector('input[name="payee' + payeeCount + '_defamt"]');
        const defMemoInput = newRow.querySelector('input[name="payee' + payeeCount + '_defmemo"]');

        // Function to dynamically toggle 'required' based on input
        function toggleRequired() {
            if (nameInput.value.trim() !== "") {
                nameInput.setAttribute("required", true);
            } else {
                nameInput.removeAttribute("required");
            }

            if (acctNumberInput.value.trim() !== "") {
                acctNumberInput.setAttribute("required", true);
            } else {
                acctNumberInput.removeAttribute("required");
            }
        }

        // Add event listeners to name and account number fields
        nameInput.addEventListener("input", toggleRequired);
        acctNumberInput.addEventListener("input", toggleRequired);

        // Automatically add the next row when both name and account number are filled
        function checkRowInputs() {
            if (nameInput.value.trim() !== "" && acctNumberInput.value.trim() !== "") {
                addPayeeRow(); // Add the next row if both name and account number are filled
                nameInput.removeEventListener("input", checkRowInputs); // Disable event listener for current row
                acctNumberInput.removeEventListener("input", checkRowInputs); // Disable event listener for current row
            }
        }

        // Trigger the function when both name and account number are filled
        nameInput.addEventListener("input", checkRowInputs);
        acctNumberInput.addEventListener("input", checkRowInputs);
    }

    // Add the first row (Payee 1) and its input event listeners
    const firstRow = document.querySelector("table tbody tr:nth-child(2)"); // Select the first row after header
    if (firstRow) {
        const firstRowNameInput = firstRow.querySelector('input[name="payee1_name"]');
        const firstRowAcctInput = firstRow.querySelector('input[name="payee1_acctnumber"]');

        function checkFirstRow() {
            const nameFilled = firstRowNameInput.value.trim() !== "";
            const acctNumberFilled = firstRowAcctInput.value.trim() !== "";

            if (nameFilled && acctNumberFilled) {
                addPayeeRow(); // Add the second row if name and account number are filled
                firstRowNameInput.removeEventListener("input", checkFirstRow); // Disable event listener for first row
                firstRowAcctInput.removeEventListener("input", checkFirstRow); // Disable event listener for first row
            }
        }

        // Add event listeners to name and account number fields in the first row
        firstRowNameInput.addEventListener("input", checkFirstRow);
        firstRowAcctInput.addEventListener("input", checkFirstRow);
    } else {
        console.error("The first row of the table was not found.");
    }

    // Handle form submission
    const form = document.querySelector("form"); // Ensure this targets your form

    form.addEventListener("submit", function(event) {
        // Allow the form to submit normally
        // Further validation or processing can be done here if needed
    });
});
