<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Checks Registry Home</title>
    <link rel="stylesheet" href="./frontend-assets/css/style.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined" />
</head>
<body>
    <div class="page-container">
        <aside>
         <!--JavaScript will load menu-->
        </aside>
        <main>
           <h5 id="greeting-tod"></h5>
             <div id="notifications" class="contain">
                <h2><span class="material-symbols-outlined">notifications</span> Notifications</h2>
                <div id="load-notifications">
                <p id="no-notifs">There are no notifications to display at this time.</p>
                <!--PHP will load notifications-->
                </div>
            </div>
        </main>
    </div>
    <script>
        function updateGreeting() {
  const greetingElement = document.getElementById('greeting-tod');
  if (!greetingElement) return; // Exit if the element doesn't exist

  const now = new Date();
  const hour = now.getHours();
  const minute = now.getMinutes();

  let greeting = '';

  if (hour >= 4 && hour < 12 || (hour === 12 && minute === 0)) {
    greeting = '☀️ Good morning!';
  } else if (hour >= 12 && hour < 17) {
    greeting = '👋 Good afternoon!';
  } else if (hour >= 18 && hour < 23) {
    greeting = '👋 Good evening!';
  } else {
    greeting = "It's late, welcome back!";
  }

  greetingElement.textContent = greeting;
}

updateGreeting();

setInterval(updateGreeting, 60000);
    </script>

    <script>
        async function loadMenu() {
  try {
    const response = await fetch('./frontend-assets/templates/menu.html');
    if (!response.ok) {
      throw new Error(`HTTP error! status: ${response.status}`);
    }
    const menuHtml = await response.text();
    const asideElement = document.querySelector('aside');
    if (asideElement) {
      asideElement.innerHTML = menuHtml;
    } else {
      console.error("Aside element not found");
    }
  } catch (error) {
    console.error('Error loading menu:', error);
  }
}

loadMenu();
    </script>
</body>
</html>