<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Install Checks Registry</title>
    <style>
        body{
            background-image: linear-gradient(to right, #0099ff, rgb(96, 36, 194));
        }
        .main-container{
            margin:auto;
            font-family:Arial;
            margin-top:20vh;
            width:425px;
        }
        .contain{
            background-color:#4a446b;
            border-radius:5px;
            padding:20px;
            border-top: solid 30px #2d2842;
            color:white;
        }
        .window-label{
            margin-top:-44px;
            font-weight: normal;
            margin-left:-10px;

        }
        button, input[type="submit"]{
            user-select:none;
            font-size:16px;
            margin-top:10px;
        }
        .wizard-step{
            display:none;
        }
        #setup-wizard input[type="text"], #setup-wizard input[type="password"]{
            width:calc(100% - 20px);
            margin-top:10px;
            padding:5px;
            font-size:16px;
        }
        #wizard-error{
            color:red;
            font-weight:bold;
        }
        .overlay-load{
            background-color:#5252525;
            backdrop-filter: blur(10px);
            width:100vw;
            height:100vh;
            position:fixed;
            top:0px;
            left:0px;
        }
        #load-spinner{
            width:60px;
            margin-left:calc(50vw - 30px);
            margin-top:calc(50vh - 30px);
            user-select:none;
            -webkit-user-drag:none;
        }
        .overlay-load{
            display:none;
        }
        .table-input, #wizard-categories input[type="text"]:first-of-type{
            margin-top:-1px !important;
            padding:10px !important;
            border-radius:0px;
            border: solid 1px black;
        }
        .table-input:focus, #wizard-categories input[type="text"]:focus{
            border: solid 2px indigo;
            border-radius:0px;
            outline:none;
            width:calc(100% - 22px);
        }
        #wizard-payees td{
            padding:0px;
            z-index:100;
            margin-top:-1px;
        }
    </style>
</head>
<body>
    <div class="overlay-load">
        <img id="load-spinner" src="../spinner.gif">
    </div>
    <div class="main-container contain" id="setup-wizard">
        <h4 class="window-label">Setup Wizard</h4>
        <div class="wizard-step" id="step-0">
            <h2>Welcome to the Setup Wizard</h2>
            <p>This setup wizard will guide you through the process of setting up the instance. Click next when you are ready to begin.</p>
            <button class="wizard-btn-next" onclick="window.location.href='./?step=1'">Next</button>
        </div>
        <div class="wizard-step" id="step-1">
            <h2>Step 1: Provide Credentials</h2>
            <p>You'll need to create a MySQL database and enter the connection credentials here. Make sure to give sufficient permissions.</p>
            <form id="wizard-database" action="initialize.php" method="post">
                <input type="text" autocomplete="off" name="hostname" required placeholder="Database hostname">
                <input type="text" autocomplete="off"  name="username" required placeholder="Database username">
                <input type="password" autocomplete="off"  name="password" required placeholder="Database password">
                <input type="text" autocomplete="off"  name="database" required placeholder="Database name">
                <input type="submit" class="wizard-btn-next" value="Next"></input>
            </form>
        </div>
        <div class="wizard-step" id="step-2">
            <h2>Step 2: Set a Password</h2>
            <p>Set a password to access the checks registry. Choose a strong password and keep it secure.</p>
            <form id="wizard-admin-password">
                <input type="password" required autocomplete="off" placeholder="Admin password">
                <input type="submit" class="wizard-btn-next" value="Next"></input>
            </form>
        </div>
        <div class="wizard-step" id="step-3">
            <h2>Step 3: Add Categories</h2>
            <p>Add categories you'll use to label your checks. You'll be able to sort checks by these categories later.</p>
            <form id="wizard-categories" action="initcategory.php" method="post">
                <input type="text" autocomplete="off" name="category1" required placeholder="Category 1">
                <input type="submit" class="wizard-btn-next" value="Next"></input>
            </form>
        </div>
        <div class="wizard-step" id="step-4">
            <h2>Step 4: Add Accounts Payable</h2>
            <p>Add accounts payable to your system. Give them a default amount and memo, if you typically send a set amount for the same reason<br><br> <strong>NOTICE:</strong> You must add a display name and account number to every entry. If you do not add both, the system will ignore the entry.</p>
            <form id="wizard-payees" action="initpayee.php" method="post">
            <table>
                <tbody>
                    <tr>
                        <th>Display Name*</th>
                        <th>Account Number*</th>
                        <th>Default Amount</th>
                        <th>Default Memo</th>
                    </tr>
                    <tr>
                        <td><input class="table-input" type="text" autocomplete="off" name="payee1_name" required></td>
                        <td><input class="table-input" type="text" autocomplete="off" name="payee1_acctnumber" required></td>
                        <td><input class="table-input money-input" type="text" autocomplete="off" name="payee1_defamt"></td>
                        <td><input class="table-input" type="text" autocomplete="off" name="payee1_defmemo"></td>
                    </tr>
                </tbody>
            </table>
                <input type="submit" class="wizard-btn-next" value="Next"></input>
            </form>
        </div>
        <p id="wizard-error"></p>
    </div>
    <script src="../frontend-assets/js/installation.js"></script>
    <script src="../frontend-assets/js/validation.js"></script>
</body>
</html>