<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Checks Register Accounts</title>
    <link rel="stylesheet" href="./frontend-assets/css/style.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined" />
    <style>
        input[type="text"] {
            width: 100%;
            padding: 5px;
            box-sizing: border-box;
        }
        .save-button {
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <div class="page-container">
        <aside>
            <?php
            $menuFile = './frontend-assets/templates/menu.html';
            if (file_exists($menuFile)) {
                echo file_get_contents($menuFile);
            } else {
                echo "";
            }
            ?>
        </aside>
        <main>
            <h4>Display/Edit Accounts</h4>
            <p>You can use this page to update accounts payable. If you are looking to add a new payee, you'll need to use the Add Accounts page, which can be found on the sidebar.</p>
            <div class="contain">
                <form method="post">
                    <table>
                        <thead>
                            <tr>
                                <th>Payee Name</th>
                                <th>Account Number</th>
                                <th>Default Amount</th>
                                <th>Default Memo</th>
                                <th>Categories</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $databaseFile = './installation/database.php';
                            if (file_exists($databaseFile)) {
                                include($databaseFile);
                                if(!isset($db_host) || !isset($db_user) || !isset($db_pass) || !isset($db_name)){
                                    die("Database configuration file is missing required variables.");
                                }
                                $servername = $db_host;
                                $username = $db_user;
                                $password = $db_pass;
                                $dbname = $db_name;
                            } else {
                                die("Could not include database configuration file: " . $databaseFile);
                            }
                            ini_set('display_errors', 1);
                            ini_set('display_startup_errors', 1);
                            error_reporting(E_ALL);

                            $conn = new mysqli($servername, $username, $password, $dbname);
                            if ($conn->connect_error) {
                                die("Connection failed: " . $conn->connect_error);
                            }
                            $sql = "SELECT payee_id, friendly_name, acct_number, default_amt, default_memo, category_id FROM payees";
                            echo "\n";
                            $result = $conn->query($sql);

                            if ($result === false) {
                                echo "<tr><td colspan='5'>Error: " . $conn->error . "</td></tr>";
                                echo "\n";
                            } else if ($result->num_rows > 0) {
                                echo "\n";
                                while($row = $result->fetch_assoc()) {
                                    echo "<tr data-id='" . $row["payee_id"] . "'>";
                                    echo "<td><input type='text' name='friendly_name[" . $row["payee_id"] . "]' value='" . htmlspecialchars((string)$row["friendly_name"]) . "'></td>";
                                    echo "<td><input type='text' name='acct_number[" . $row["payee_id"] . "]' class='ninput' value='" . htmlspecialchars((string)$row["acct_number"]) . "'></td>";
                                    echo "<td><input type='text' name='default_amt[" . $row["payee_id"] . "]' class='money-input' value='" . htmlspecialchars((string)$row["default_amt"]) . "'></td>";
                                    echo "<td><input type='text' name='default_memo[" . $row["payee_id"] . "]' value='" . htmlspecialchars((string)$row["default_memo"]) . "'></td>";

                                    echo "<td><select name='category_id[" . $row["payee_id"] . "]'>";
                                    $categories_sql = "SELECT category_id, category_name FROM categories";
                                    $categories_result = $conn->query($categories_sql);
                                    if ($categories_result->num_rows > 0) {
                                        while($category_row = $categories_result->fetch_assoc()) {
                                            $selected = ($row["category_id"] == $category_row["category_id"]) ? "selected" : "";
                                            echo "<option value='" . $category_row["category_id"] . "' " . $selected . ">" . htmlspecialchars($category_row["category_name"]) . "</option>";
                                        }
                                    }
                                    echo "</select></td>";
                                    echo "</tr>";
                                }
                            } else {
                                echo "<tr><td colspan='5'>No payees found</td></tr>";
                            }
                            ?>
                        </tbody>
                    </table>
                    <input type="submit" class="save-button" value="Save Changes">
                </form>

                <?php
                if ($_SERVER["REQUEST_METHOD"] == "POST") {
                    foreach ($_POST['friendly_name'] as $id => $friendly_name) {
                        $acct_number = $_POST['acct_number'][$id];
                        $default_amt = $_POST['default_amt'][$id];
                        $default_memo = $_POST['default_memo'][$id];
                        $category_id = $_POST['category_id'][$id]; 

                        $update_sql = "UPDATE payees SET friendly_name = ?, acct_number = ?, default_amt = ?, default_memo = ?, category_id = ? WHERE payee_id = ?";
                        $stmt = $conn->prepare($update_sql);
                        $stmt->bind_param("ssssii", $friendly_name, $acct_number, $default_amt, $default_memo, $category_id, $id);

                        if ($stmt->execute()) {
                        } else {
                            echo "Error updating record for id: " . $id . ": " . $stmt->error . "<br>";
                        }
                        $stmt->close();
                    }
                    echo "<script>window.location.href = window.location.href;</script>";
                }
                $conn->close();
                ?>
            </div>
        </main>
    </div>
    <script>
        async function loadMenu() {
            try {
                const response = await fetch('/frontend-assets/templates/menu.html');
                if (!response.ok) {
                    throw new Error(`HTTP error! status: ${response.status}`);
                }
                const menuHtml = await response.text();
                const asideElement = document.querySelector('aside');
                if (asideElement) {
                    asideElement.innerHTML = menuHtml;
                } else {
                    console.error("Aside element not found");
                }
            } catch (error) {
                console.error('Error loading menu:', error);
            }
        }

        loadMenu();
    </script>
    <script src="./frontend-assets/js/validation.js"></script>
</body>
</html>
